<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
<h:head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"></meta>
	<title>English Battle G17</title>
</h:head>

<f:view>
	<h:body>
	<p:dataTable id="joueurs" var="joueur"
		value="#{inscriptionBean.joueurs}">

		<f:facet name="header">
			<h2>Liste des joueurs</h2>

			<p:commandButton id="toggler" type="button" value="Options"
				style="float:right" icon="ui-icon-calculator" />
			<p:columnToggler datasource="joueurs" trigger="toggler" />
		</f:facet>

		<p:column headerText="Nom">
			<h:outputText value="#{joueur.nom}" />
		</p:column>

		<p:column headerText="Prenom">
			<h:outputText value="#{joueur.prenom}" />
		</p:column>

		<p:column headerText="Email">
			<h:outputText value="#{joueur.email}" />
		</p:column>

		<p:column headerText="Mot de Passe">
			<h:outputText value="#{joueur.motDePasse}" />
		</p:column>

		<p:column headerText="Ville">
			<h:outputText value="#{joueur.ville.nom}" />
		</p:column>

		<p:column headerText="Niveau">
			<h:outputText value="#{joueur.niveau.nom}" />
		</p:column>
	</p:dataTable>

	<br />
	<br />
	<a href="index.xhtml">Retour à l'accueil</a>
	</h:body>
</f:view>
</html>


